Skip to main content
GET
/
insiders
/
chart
/
{token}
SDK
import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getInsidersChart('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN', '1h');
{
  "insiders": [
    {
      "percentage": 123,
      "time": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt

Use this file to discover all available pages before exploring further.

SDK Example

import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getInsidersChart('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN', '1h');

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

token
string
required

Query Parameters

type
string
default:1d

Time interval (e.g., '1s', '1m', '1h', '1d')

time_from
integer

Start time (Unix timestamp in seconds)

time_to
integer

End time (Unix timestamp in seconds)

Response

200 - application/json

Successful response

insiders
object[]